<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_0ee0a25025d73f8693a4bb37" . "a3c298ac" => base64_decode("Y2hlY2tlZF9pbl9ieQ=" . "="), "_d5ebf376" . "f635c188e" . "c65813608" . "e6ece5" => base64_decode("bmV3X3Zlcn" . "Npb24="), "_6e38cb9e043a07cd69a1711a6704" . "c62a" => base64_decode("cGF" . "yZW" . "50X" . "2lk"));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0ee0a25025d73f8693a4bb37" . "a3c298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_d5ebf376f635c188e" . "c65813608e6ece5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_6e38cb9e04" . "3a07cd69a17" . "11a6704c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}